### Function

# Devhelp Completion aggregate_complete

#### Declaration [src]

    gchar*
    dh_completion_aggregate_complete (
      GList* completion_objects,
      const gchar* prefix
    )

#### Description [src]

The same as dh_completion_complete(), but aggregated for several `DhCompletion` objects.

Available since: | 3.28

#### Parameters

`completion_objects` | A list of `DhCompletion*`
| A `GList` of `DhCompletion` objects.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`prefix` | `const gchar*`
| The string to complete.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.

#### Return value

Returns: | `utf8`
| The completed prefix, or `NULL` if a longer prefix has not been found. Free with `g_free()` when no longer needed.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.
| The string is a NUL terminated UTF-8 string.